package tools;

/**
 * Interface for classes that have an invariant method implemented
 * @author jpaulgibson
 * @version 1
 */
public interface HasInvariant {

	/**
	 * 
	 * @return if the object is in a safe/valid/meaningful state
	 */
	public boolean invariant();
}
